Name:           glite-lbjp-common-gsoap-plugin
Version:        3.2.12
Release:        10%{?dist}
Summary:        Plugin for gSoap to use glite-security-gss as the communication layer

License:        ASL 2.0
URL:            http://glite.cern.ch
Source:         http://scientific.zcu.cz/emi/emi.lbjp-common.gsoap-plugin/%{name}-%{version}.tar.gz
# multilib %%{name}-devel
# https://github.com/CESNET/glite-lb/commit/793e9e81f78393cdf6dc1eb6473bf14f8d6973a3
Patch0:         arched-header.patch

BuildRequires:  c-ares-devel
BuildRequires:  cppunit-devel
BuildRequires:  glite-lbjp-common-gss-devel
# gssapi.h is needed explicitly for gsoap-plugin, but the proper package is
# known only in glite-lbjp-common-gss-devel:
#  - gssapi from Globus (globus-gssapi-gsi-devel)
#  - gssapi from MIT Kerberos (krb5-devel)
#  - gssapi from Heimdal Kerberos
#BuildRequires: globus-gssapi-gsi-devel
BuildRequires:  gsoap-devel
BuildRequires:  libtool
BuildRequires:  perl
BuildRequires:  perl(Getopt::Long)
BuildRequires:  perl(POSIX)
BuildRequires:  pkgconfig

%description
glite-security-gsoap-plugin is plugin for gSoap providing secured communication
via GSS, as well as strict timing control of all operations via
glite-security-gss.


%package        devel
Summary:        Development files for gLite gsoap-plugin
Requires:       %{name}%{?_isa} = %{version}-%{release}
Requires:       glite-lbjp-common-gss-devel%{?_isa}

%description    devel
This package contains development libraries and header files for gLite
gsoap-plugin.


%prep
%setup -q
%patch0 -p2


%build
./configure --root=/ --prefix=%{_prefix} --libdir=%{_lib}
CFLAGS="%{?optflags}" LDFLAGS="%{?__global_ldflags}" make %{?_smp_mflags}


%check
CFLAGS="%{?optflags}" LDFLAGS="%{?__global_ldflags}" make check


%install
make install DESTDIR=%{buildroot}
rm -f %{buildroot}%{_libdir}/*.a
rm -f %{buildroot}%{_libdir}/*.la


%post -p /sbin/ldconfig


%postun -p /sbin/ldconfig


%files
%{!?_licensedir:%global license %doc}
%doc ChangeLog
%license LICENSE
%{_libdir}/libglite_security_gsoap_plugin_*.so.9
%{_libdir}/libglite_security_gsoap_plugin_*.so.9.*

%files devel
%doc examples
%dir %{_libdir}/glite-lb/
%dir %{_libdir}/glite-lb/include/
%dir %{_libdir}/glite-lb/include/glite/
%dir %{_libdir}/glite-lb/include/glite/security/
%{_includedir}/glite/security/glite_gscompat.h
%{_includedir}/glite/security/glite_gsplugin.h
%{_includedir}/glite/security/glite_gsplugin-int.h
%{_libdir}/glite-lb/include/glite/security/*.h
%{_libdir}/libglite_security_gsoap_plugin_*.so
%{_libdir}/pkgconfig/*.pc


%changelog
* Tue Sep 27 2016 František Dvořák <valtri@civ.zcu.cz> - 3.2.12-10
- Rebuilt with gsoap 2.8.35

* Fri Apr 22 2016 František Dvořák <valtri@civ.zcu.cz> - 3.2.12-9
- Rebuilt with gsoap 2.8.30
- Packaging updates (%%license, direct configure script launch)

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 3.2.12-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Tue Jun 16 2015 František Dvořák <valtri@civ.zcu.cz> - 3.2.12-7
- Rebuilt with gsoap 2.8.22

* Sat May 02 2015 Kalev Lember <kalevlember@gmail.com> - 3.2.12-6
- Rebuilt for GCC 5 C++11 ABI change

* Sun Jan 25 2015 František Dvořák <valtri@civ.zcu.cz> - 3.2.12-5
- Rebuilt with gsoap 2.8.21

* Sat Aug 16 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.2.12-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Mon Jul 14 2014 František Dvořák <valtri@civ.zcu.cz> - 3.2.12-3
- Rebuilt with gsoap 2.8.17

* Thu Jul 03 2014 František Dvořák <valtri@civ.zcu.cz> - 3.2.12-2
- Patch for multilib %%{name}-devel

* Thu Jun 26 2014 František Dvořák <valtri@civ.zcu.cz> - 3.2.12-1
- New release 3.2.12 (L&B 4.1.2)
- Consistent style with buildroot macro

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.2.11-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat May 31 2014 František Dvořák <valtri@civ.zcu.cz> - 3.2.11-1
- New release 3.2.11 (L&B 4.1.1)

* Fri Dec 6 2013 František Dvořák <valtri@civ.zcu.cz> - 3.2.10-2
- Added examples to -devel

* Sat Nov 30 2013 František Dvořák <valtri@civ.zcu.cz> - 3.2.10-1
- Initial package
